--- kdelibs-4.5.4/cmake/modules/FindPhonon.cmake.orig	2010-11-23 15:53:43.000000000 -0500
+++ kdelibs-4.5.4/cmake/modules/FindPhonon.cmake	2010-11-23 15:54:39.000000000 -0500
@@ -21,9 +21,16 @@
    set(PHONON_VERSION "${CMAKE_MATCH_1}")
 endmacro(_phonon_find_version)
 
+MESSAGE(STATUS "Looking for Phonon")
+message(STATUS " -> KDE4_INCLUDE_INSTALL_DIR is ${KDE4_INCLUDE_INSTALL_DIR}")
+message(STATUS " -> KDE4_LIB_INSTALL_DIR is ${KDE4_LIB_INSTALL_DIR}")
+message(STATUS " -> INCLUDE_INSTALL_DIR is ${INCLUDE_INSTALL_DIR}")
+message(STATUS " -> QT_LIBRARY_DIR is ${QT_LIBRARY_DIR}")
+message(STATUS " -> QT_INCLUDE_DIR is ${QT_INCLUDE_DIR}")
+
 # the dirs listed with HINTS are searched before the default sets of dirs
-find_library(PHONON_LIBRARY NAMES phonon HINTS ${KDE4_LIB_INSTALL_DIR} ${QT_LIBRARY_DIR})
-find_path(PHONON_INCLUDE_DIR NAMES phonon/phonon_export.h HINTS ${KDE4_INCLUDE_INSTALL_DIR} ${QT_INCLUDE_DIR} ${INCLUDE_INSTALL_DIR} ${QT_LIBRARY_DIR})
+find_library(PHONON_LIBRARY NAMES phonon HINTS ${KDE4_LIB_INSTALL_DIR} ${QT_LIBRARY_DIR} NO_DEFAULT_PATH)
+find_path(PHONON_INCLUDE_DIR NAMES phonon/phonon_export.h HINTS ${KDE4_INCLUDE_INSTALL_DIR} ${QT_INCLUDE_DIR} ${INCLUDE_INSTALL_DIR} ${QT_LIBRARY_DIR} NO_DEFAULT_PATH)
 
 if(PHONON_INCLUDE_DIR AND PHONON_LIBRARY)
    set(PHONON_LIBS ${phonon_LIB_DEPENDS} ${PHONON_LIBRARY})
@@ -31,6 +38,11 @@
    _phonon_find_version()
 endif(PHONON_INCLUDE_DIR AND PHONON_LIBRARY)
 
+MESSAGE(STATUS "Results of Search for Phonon")
+MESSAGE(STATUS " -> PHONON_VERSION is ${PHONON_VERSION}")
+MESSAGE(STATUS " -> PHONON_INCLUDE_DIR is ${PHONON_INCLUDE_DIR}")
+MESSAGE(STATUS " -> PHONON_LIBRARY is ${PHONON_LIBRARY}")
+
 include(FindPackageHandleStandardArgs)
 find_package_handle_standard_args(Phonon  DEFAULT_MSG  PHONON_INCLUDE_DIR PHONON_LIBRARY)
 
